### Method

# Qmi IndicationDmsEventReportOutput get_pin2_status

since: 1.0

#### Declaration [src]

    gboolean
    qmi_indication_dms_event_report_output_get_pin2_status (
      QmiIndicationDmsEventReportOutput* self,
      QmiDmsUimPinStatus* value_pin2_status_current_status,
      guint8* value_pin2_status_verify_retries_left,
      guint8* value_pin2_status_unblock_retries_left,
      GError** error
    )

#### Description [src]

Get the ‘PIN2 Status’ field from `self`.

Available since: 1.0

#### Parameters

`value_pin2_status_current_status`

  Type: `QmiDmsUimPinStatus`

  A placeholder for the output `QmiDmsUimPinStatus`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_pin2_status_verify_retries_left`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_pin2_status_unblock_retries_left`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.